<script lang="ts">
import Vue from 'vue';

export default Vue.extend({
  name: 'FreeTrialCTA',
  props: {
    variant: {
      type: String,
      required: false,
      default: 'standard',
    },
    data: {
      type: Object,
      required: true,
      default: null,
    },
  },
});
</script>

<template>
  <div class="slp-free-trial-cta">
    <div class="slp-flex slp-align-items-center" style="flex-direction: column">
      <nuxt-img
        v-if="variant === 'image'"
        class="slp-free-trial-cta__image"
        src="/nuxt-images/company/free-trial-team-members.png"
        alt="Free Trial Team Members Graphic"
        loading="lazy"
        format="webp"
        quality="99"
      />
    </div>
    <SlpTypography
      tag="h3"
      variant="heading3"
      class="slp-free-trial-cta__title slp-my-16"
      >{{ data.title }}</SlpTypography
    >
    <SlpTypography
      tag="h4"
      variant="heading4"
      class="slp-free-trial-cta__subtitle slp-mb-16"
      >{{ data.subtitle }}</SlpTypography
    >
    <div>
      <SlpButton
        :href="data.button_1_url"
        :data-ga-name="data.button_1_data_ga_name"
        :data-ga-location="data.button_1_data_ga_location"
        >{{ data.button_1 }}
      </SlpButton>
      <SlpButton
        class="slp-ml-4"
        variant="secondary"
        :href="data.button_2_url"
        :data-ga-name="data.button_2_data_ga_name"
        :data-ga-location="data.button_2_data_ga_location"
        >{{ data.button_2 }}</SlpButton
      >
    </div>
  </div>
</template>

<style lang="scss" scoped>
.slp-free-trial-cta {
  max-width: 550px;
  text-align: center;
  margin: $spacing-64 auto;

  &__image {
    width: 213px;
  }

  @media (max-width: $breakpoint-md) {
    margin: $spacing-64 auto;
    text-align: center;

    .slp-btn {
      width: 100%;
      margin: $spacing-4 0 !important;
    }

    &__title {
      font-size: 24px;
      line-height: 30px;
    }

    &__subtitle {
      font-size: 19px;
      line-height: 24px;
    }
  }
}
</style>
